List Devices
/unified/mdm/devices
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
Pass this value only when type is mobile.
3 supported
The type/category of the device
desktoplaptopmobileotherservertabletvirtual_machineworkstation
2 supported1 required
mobiledesktopThe hardware model of the device
2 supported
The operating system version
2 supported
The platform family of the device
androidchromeosiosipadoslinuxmacosunknownwindows
3 supported
The serial number of the device
3 supported
The device's tags
2 supported
The tag's unique identifier
The tag's name
The assigned owner of the device
2 supported
The emails of the user
3 properties
The email address
Whether the email address is primary
The type of email address
The unique identifier for a user
The name of the user
The applied policy / blueprint
2 supported
The unique identifier for a policy
The name of the policy
The organization/account the device belongs to
1 supported
The unique identifier for an organization
The name of the organization
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Devices
The unique identifier for the device
3 supported
Whether a management agent is installed
1 supported
The management agent version
1 supported
Approval state if the provider requires approval
approvedpendingrejectedunknown
1 supported
The asset tag / inventory tag of the device
3 supported
The date and time the last backup failed
The date and time the last backup succeeded
1 supported
Total backup usage in bytes
The date and time the device record was created
2 supported
The number of critical severity vulnerabilities detected on the device
Provider or customer specific fields mapped into a flexible key-value object
Whether the disk encryption is enabled on the device
1 supported
The DNS name of the device
1 supported
Whether an endpoint detection and response (EDR) agent is installed or detected on the device
The health/status of the EDR agent on the device, when available from the underlying product
healthyunhealthydegradedunknown
Enrollment state of the device in the provider
enrolledpendingremovedmissingunknown
1 supported
Whether the host firewall is enabled on the device
1 supported
The date and time the device was first enrolled
1 supported
The number of high severity vulnerabilities detected on the device
The host/system name of the device
1 supported
The private IP addresses of the device
2 supported
Whether the device is corporate-owned (as opposed to personally-owned/BYOD)
Whether the device is currently offline
1 supported
The date and time of the last recorded activity for the device
2 supported
The date and time the device was most recently enrolled
2 supported
The date and time the device was last scanned for vulnerabilities or security posture signals, when supported by the underlying product
1 supported
The MAC addresses of the device
2 supported
The date and time maintenance ends
1 supported
The maintenance reason message
1 supported
The date and time maintenance starts
1 supported
The maintenance status
nonependingactivecompletedunknown
1 supported
The hardware manufacturer of the device
Whether MDM management is enabled on the device
2 supported
The hardware model of the device
2 supported
The display name of the device
3 supported
The NetBIOS name of the device (Windows)
1 supported
Notes attached to the device
1 supported
4 properties
The note's unique identifier
The note's content
The note's owner
1 property
The note's owner's unique identifier
The note's title
The organization/account the device belongs to
1 supported
2 properties
The unique identifier for an organization
The name of the organization
The operating system build identifier
1 supported
The operating system name
1 supported
The operating system version
2 supported
Additional operating system version information
1 supported
The assigned owner of the device
2 supported
3 properties
The emails of the user
3 properties
The email address
Whether the email address is primary
The type of email address
The unique identifier for a user
The name of the user
The patch compliance status of the device, based on signals available in the underlying product
up_to_dateupdates_availableunknown
The platform family of the device
windowsmacoslinuxiosipadosandroidchromeosunknown
3 supported
The applied policy / blueprint
2 supported
2 properties
The unique identifier for a policy
The name of the policy
The public IP address of the device
2 supported
Raw data returned from the remote API call.
The serial number of the device
3 supported
The device's tags
2 supported
2 properties
The tag's unique identifier
The tag's name
The type/category of the device
workstationservermobiletabletlaptopdesktopvirtual_machineother
2 supported
The date and time the device record was last updated
1 supported
The date and time warranty ends
1 supported
The manufacturer fulfillment date
1 supported
The date and time warranty starts
2 supported
curl -X GET 'https://api.truto.one/unified/mdm/devices?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/mdm/devices?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/mdm/devices"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'mdm',
'devices',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"mdm",
"devices",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())